AbstractFunctionalInterfaceWriter (Groovy 5.0.6)
Description: declaration: package: org.codehaus.groovy.classgen.asm.sc, interface: AbstractFunctionalInterfaceWriter

Package org.codehaus.groovy.classgen.asm.sc

# Interface AbstractFunctionalInterfaceWriter

All Known Implementing Classes:
  `StaticTypesLambdaWriter`, `StaticTypesMethodReferenceExpressionWriter`

public interface AbstractFunctionalInterfaceWriter
Represents functional interface writer which contains some common methods to complete generating bytecode

Since:
  3.0.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default ClassNode`
  `convertParameterType(ClassNode parameterType, ClassNode inferredType)`
  `default ClassNode`
  `convertParameterType(ClassNode targetType, ClassNode parameterType, ClassNode inferredType)`
  `default org.objectweb.asm.Handle`
  `createBootstrapMethod(boolean isInterface, boolean serializable)`
  `default Object[]`
  `createBootstrapMethodArguments(String abstractMethodDesc, int insn, ClassNode methodOwner, MethodNode methodNode, Parameter[] parameters, boolean serializable)`
  `default String`
  `createMethodDescriptor(MethodNode method)`
  `default Parameter`
  `prependParameter(List<Parameter> parameterList, String parameterName, ClassNode parameterType)`

- ## Method Details

  - ### createMethodDescriptor

    default String createMethodDescriptor(MethodNode method)

  - ### createBootstrapMethod

    default org.objectweb.asm.Handle createBootstrapMethod(boolean isInterface, boolean serializable)

  - ### createBootstrapMethodArguments

    default Object[] createBootstrapMethodArguments(String abstractMethodDesc, int insn, ClassNode methodOwner, MethodNode methodNode, Parameter[] parameters, boolean serializable)

  - ### convertParameterType

    default ClassNode convertParameterType(ClassNode parameterType, ClassNode inferredType)

  - ### convertParameterType

    default ClassNode convertParameterType(ClassNode targetType, ClassNode parameterType, ClassNode inferredType)

  - ### prependParameter

    default Parameter prependParameter(List<Parameter> parameterList, String parameterName, ClassNode parameterType)